% Polarization efficiency calculated from relative cross-polar level.
%
% Complement to Figure 2.4 in Foundations of Antennas by Per-Simon Kildal.

% By Ulf Carlberg.

% Relative cross-polar level.
XP_dB = -40:0.1:0;
XP = 10.^(XP_dB/10);

% Calculate polarization efficiency.
e_pol = 1 ./ (1 + XP);
e_pol_dB = 10*log10(e_pol);

% Plot.
figure;
plot(XP_dB, e_pol_dB);
axis([-40 0 -1 0]);
grid on;
xlabel('Relative cross-polar level [dB]');
ylabel('Polarization efficiency [dB]');
